comparison third_party/emsdk/docker/test_dockerimage.sh @ 179:8d17f6e6e290

[ThirdParty] Added emsdk bazel rules that can be supported by bazel 9.0.0
author MrJuneJune <me@mrjunejune.com>
date Thu, 22 Jan 2026 21:23:17 -0800
parents
children
comparison
equal deleted inserted replaced
178:94705b5986b3 179:8d17f6e6e290
1 #!/usr/bin/env bash
2 set -ex
3
4 if [ $EUID -eq 0 ]; then
5 sudo -u nobody `which emcc` --version
6 fi
7
8 which emsdk
9 node --version
10 npm --version
11 python3 --version
12 pip3 --version
13 em++ --version
14 emcc --version
15 java -version
16 cmake --version
17
18 exit_code=0
19
20 # test emcc compilation
21 echo 'int main() { return 0; }' | emcc -o /tmp/main.js -xc -
22 node /tmp/main.js || exit_code=$?
23 if [ $exit_code -ne 0 ]; then
24 echo "Node exited with non-zero exit code: $exit_code"
25 exit $exit_code
26 fi
27
28 # test embuilder
29 embuilder build zlib --force